org.eclipse.mat.ui.internal.query.arguments

## Class ArgumentsWizardPage

- java.lang.Object
- - WizardPage
  - - org.eclipse.mat.ui.internal.query.arguments.ArgumentsWizardPage

All Implemented Interfaces:
  ArgumentsTable.ITableListener

    public class ArgumentsWizardPage
    extends WizardPage
    implements ArgumentsTable.ITableListener

### Field Summary

Fields
`static String` `HIDE_QUERY_HELP`

### Constructor Summary

Constructors
Constructor and Description
`ArgumentsWizardPage(IQueryContext context, ArgumentSet argumentSet)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(Composite parent)`
`boolean` `isPageComplete()`
`void` `onError(String message)`
`void` `onFocus(String message)`
`void` `onInputChanged()`
`void` `onModeChange(LinkEditor.Mode mode)`
`void` `performHelp()`
`void` `relocateHelp(boolean create)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HIDE_QUERY_HELP

    public static final String HIDE_QUERY_HELP

See Also:
  Constant Field Values

### Constructor Detail

#### ArgumentsWizardPage

    public ArgumentsWizardPage(IQueryContext context,
                               ArgumentSet argumentSet)

### Method Detail

#### createControl

    public void createControl(Composite parent)

#### isPageComplete

    public boolean isPageComplete()

#### onInputChanged

    public void onInputChanged()

Specified by:
  `onInputChanged` in interface `ArgumentsTable.ITableListener`

#### onError

    public void onError(String message)

Specified by:
  `onError` in interface `ArgumentsTable.ITableListener`

#### onFocus

    public void onFocus(String message)

Specified by:
  `onFocus` in interface `ArgumentsTable.ITableListener`

#### onModeChange

    public void onModeChange(LinkEditor.Mode mode)

Specified by:
  `onModeChange` in interface `ArgumentsTable.ITableListener`

#### relocateHelp

    public void relocateHelp(boolean create)

#### performHelp

    public void performHelp()